<?php
defined('IN_MET') or exit ('No permission');

class install  {


	public function dosql() {
		global $_M;
		$no = 10022;
		$query = "SELECT * FROM {$_M['table']['applist']} WHERE no='{$no}'";
		$stall = DB::get_one($query);
		$appver = $stall['ver'];
		if(!$stall){
			//当前系统版本
			$version_no = $_M['config']['metcms_v'];
			$version_no = strcut($version_no,0,3);
			$no1 = 5.3;
			if($version_no >= $no1) {
				$updatetime = "updatetime";
			}else{
				$updatetime = "updateime";
			}
			$query = "INSERT INTO {$_M['table']['applist']} SET no='{$no}',ver='2.03',m_name='imgdel',m_class='index',m_action='doindex',appname='网站图片清理工具',info='图片有效性检测，无效图片删除',{$updatetime}=''";
			DB::query($query);
			//language表数据
			$lang = 'cn';
			//ver 1.01
			$this ->dolang_insert($no, $lang, 'count', '共计');
			$this ->dolang_insert($no, $lang, 'processing', '正在处理图片');
			$this ->dolang_insert($no, $lang, 'test_img', '网站图片清理工具');
			$this ->dolang_insert($no, $lang, 'clean', '一键清理');
			$this ->dolang_insert($no, $lang, 'never_scan', '未曾扫描过');
			$this ->dolang_insert($no, $lang, 'delet_img', '上次清理图片');
			$this ->dolang_insert($no, $lang, 'delet_this', '本次清理图片');
			$this ->dolang_insert($no, $lang, 'img_number', '扫描图片数量');
			$this ->dolang_insert($no, $lang, 'invalid_img', '扫描无效图片');
			$this ->dolang_insert($no, $lang, 'scan_img', '图片扫描');
			$this ->dolang_insert($no, $lang, 'historical_time', '上次扫描时间');
			$this ->dolang_insert($no, $lang, 'pace', '扫描匹配进度');
			$this ->dolang_insert($no, $lang, 'contact_developer', '联系开发者');
			$this ->dolang_insert($no, $lang, 'record', '历史记录');
			$this ->dolang_insert($no, $lang, 'zhang', '张');
			$this ->dolang_insert($no, $lang, 'scan_result', '扫描结果');
			$this ->dolang_insert($no, $lang, 'success', '操作成功！');
			$this ->dolang_insert($no, $lang, 'stop', '暂停扫描');
			$this ->dolang_insert($no, $lang, 'restart', '中断重开');
			$this ->dolang_insert($no, $lang, 'tip_1', '特别说明：执行扫描时，需一定时间比对数据库，扫描过程对前端页面访问稍有影响，请选择适当的时间执行清理。清理过程不可逆，请做好备份，以防误操作造成丢失文件。');
			$this ->dolang_insert($no, $lang, 'tip_2', '注意：图片扫描不包含以下4个系统目录 file、files、flash、image');
			$this ->dolang_insert($no, $lang, 'tip_3', '注意：清理过程不可逆，请做好备份，以防误操作造成丢失文件。');
			$this ->dolang_insert($no, $lang, 'tip_4', '检测到无效图片');
			$this ->dolang_insert($no, $lang, 'tip_5', '未检测到无效图片');
			$this ->dolang_insert($no, $lang, 'tip_6', '完成所有图片处理');
			$this ->dolang_insert($no, $lang, 'tip_7', '注意：若发现扫描过程中，扫描进度异常停止，请选择【中断重开】按钮，程序将会继续执行上一次扫描进度');
			//ver 2.02
			$this ->dolang_insert($no, $lang, 'ex_tip0', '图片后缀检测工具');
			$this ->dolang_insert($no, $lang, 'ex_tip1', '特别说明：图片扩展名更改功能为——将包含大写字母的扩展名更改为小写字母，更改操作不可逆，请做好备份，以防误操作造成丢失文件。');
			$this ->dolang_insert($no, $lang, 'ex_tip2', '图片数量统计');
			$this ->dolang_insert($no, $lang, 'ex_tip3', '数量统计：');
			$this ->dolang_insert($no, $lang, 'ex_tip4', '类型统计：');
			$this ->dolang_insert($no, $lang, 'ex_tip5', '请先扫描图片');
			$this ->dolang_insert($no, $lang, 'ex_tip6', '上一次共扫描到图片');
			$this ->dolang_insert($no, $lang, 'ex_tip7', '上一次共变更图片的后缀名');
			$this ->dolang_insert($no, $lang, 'ex_tip8', '大写后缀共计');
			$this ->dolang_insert($no, $lang, 'ex_tip9', '后缀全部改为小写');
			$this ->dolang_insert($no, $lang, 'ex_tip10', '不存在包含大写字母后缀的图片。');
			$this ->dolang_insert($no, $lang, 'ex_tip11', '返回');
			$this ->dolang_insert($no, $lang, 'ex_tip12', '操作失败，请重新扫描');

			//增加表delimg_set
			$table = $_M[config][tablepre].'delimg_set';
			$query = "CREATE TABLE IF NOT EXISTS {$table} (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(50) DEFAULT NULL,  `type` varchar(200) DEFAULT NULL,  `value` longtext, PRIMARY KEY (`id`)) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=54 ;";
			DB::query($query);
			//增加表delimg_table
			$table = $_M[config][tablepre].'delimg_table';
			$query = "CREATE TABLE IF NOT EXISTS {$table} (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(50) DEFAULT NULL, PRIMARY KEY (`id`)) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=54 ;";
			DB::query($query);
			//增加表delimg_table_field
			$table = $_M[config][tablepre].'delimg_table_field';
			$query = "CREATE TABLE IF NOT EXISTS {$table} (  `id` int(11) NOT NULL AUTO_INCREMENT,`tid` int(11) NOT NULL,  `field` varchar(50) DEFAULT NULL, PRIMARY KEY (`id`)) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=54 ;";
			DB::query($query);

			add_table('delimg_set'); 
			add_table('delimg_table'); 
			add_table('delimg_table_field'); 
			//echo '安装成功！';
		}else if($appver != 2.03) {
			$query = "UPDATE {$_M['table']['applist']} SET ver='2.03' WHERE id='{$stall['id']}'";
			DB::query($query);
			if($appver == 1.01 || $appver < 2.02) {
				$this ->dolang_insert($no, $lang, 'ex_tip0', '图片后缀检测工具');
				$this ->dolang_insert($no, $lang, 'ex_tip1', '特别说明：图片扩展名更改功能为——将包含大写字母的扩展名更改为小写字母，更改操作不可逆，请做好备份，以防误操作造成丢失文件。');
				$this ->dolang_insert($no, $lang, 'ex_tip2', '图片数量统计');
				$this ->dolang_insert($no, $lang, 'ex_tip3', '数量统计：');
				$this ->dolang_insert($no, $lang, 'ex_tip4', '类型统计：');
				$this ->dolang_insert($no, $lang, 'ex_tip5', '请先扫描图片');
				$this ->dolang_insert($no, $lang, 'ex_tip6', '上一次共扫描到图片');
				$this ->dolang_insert($no, $lang, 'ex_tip7', '上一次共变更图片的后缀名');
				$this ->dolang_insert($no, $lang, 'ex_tip8', '大写后缀共计');
				$this ->dolang_insert($no, $lang, 'ex_tip9', '后缀全部改为小写');
				$this ->dolang_insert($no, $lang, 'ex_tip10', '不存在包含大写字母后缀的图片。');
				$this ->dolang_insert($no, $lang, 'ex_tip11', '返回');
				$this ->dolang_insert($no, $lang, 'ex_tip12', '操作失败，请重新扫描');
			}
		}else{			
			//echo '您的系统中已存在该应用或系统中的应用和要安装的应用在应用编号上有冲突！';
		}
	}
	
	/* 
	 * language数据插入方法 1、存入表格默认$_M['table']['language']； 
	 * $name	名称
	 * $value	存入值
	 * $lang	语言
	 * $no		应用编号
	 */
	function dolang_insert($no, $lang, $name, $value) {
		global $_M;
		$query = "INSERT INTO {$_M['table']['language']} SET name='{$name}',value='{$value}',site='1',no_order='0',array='0',app='{$no}',lang='{$lang}'";
		DB::query($query);
	}
}
?>